package com.realnet.event.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.event.Entity.Event;
import com.realnet.event.Services.EventService ;








@RequestMapping(value = "/Event")
 @CrossOrigin("*") 
@RestController
public class EventController {
	@Autowired
	private EventService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Event")
		  public Event Savedata(@RequestBody Event data) {
		Event save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Event/{id}")
	public  Event update(@RequestBody Event data,@PathVariable Integer id ) {
		Event update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Event/getall/page")
	public Page<Event> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Event> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Event")
	public List<Event> getdetails() {
		 List<Event> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Event")
	public List<Event> getallwioutsec() {
		 List<Event> get = Service.getdetails();		
		return get;
}
@GetMapping("/Event/{id}")
	public  Event  getdetailsbyId(@PathVariable Integer id ) {
		Event  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Event/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}